org.apache.tapestry5.plastic

## Enum TransformationOption

- java.lang.Object
- - java.lang.Enum<TransformationOption>
  - - org.apache.tapestry5.plastic.TransformationOption

- All Implemented Interfaces:
    Serializable, Comparable<TransformationOption>

      public enum TransformationOption
      extends Enum<TransformationOption>

  Options used when transforming classes. By default, no options are enabled, they must be specifically enabled using `PlasticManager.PlasticManagerBuilder.enable(TransformationOption)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIELD_WRITEBEHIND` When enabled, fields that have a `FieldConduit` will write the value sent to, or returned by, the conduit.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransformationOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransformationOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIELD_WRITEBEHIND

          public static final TransformationOption FIELD_WRITEBEHIND

      When enabled, fields that have a `FieldConduit` will write the value sent to, or returned by, the conduit. This is essential for debugging of the transformed class.
      See Also:
        `PlasticField.setConduit(FieldConduit)`

  - ### Method Detail

    - #### values

          public static TransformationOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransformationOption c : TransformationOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransformationOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.